## org.apache.commons.collections.map
Class AbstractHashedMap.EntrySet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.apache.commons.collections.map.AbstractHashedMap.EntrySet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  AbstractHashedMap

    protected static class AbstractHashedMap.EntrySet

extends java.util.AbstractSet

EntrySet implementation.

Field Summary
`protected AbstractHashedMap` `parent` The parent map

Constructor Summary
`protected` `AbstractHashedMap.EntrySet(AbstractHashedMap parent)`

Method Summary
`void` `clear()`
`boolean` `contains(java.lang.Object entry)`
`java.util.Iterator` `iterator()`
`boolean` `remove(java.lang.Object obj)`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray`

Field Detail

### parent

    protected final AbstractHashedMap parent

  The parent map

Constructor Detail

### AbstractHashedMap.EntrySet

    protected AbstractHashedMap.EntrySet(AbstractHashedMap parent)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### contains

    public boolean contains(java.lang.Object entry)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### remove

    public boolean remove(java.lang.Object obj)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`
  Overrides:
    `remove` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.